import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Icon } from "../../../enum/icon.enum";
import { IconCacheService } from "../../../service/icon-cache.service";
import { BatchJobProgress } from "@colijnit/transactionapi/build/model/batch-job-progress.bo";
import { TransactionService } from "../../../service/transaction.service";
export declare class BatchProcessDialogComponent implements OnInit, OnDestroy {
    iconCacheService: IconCacheService;
    transactionService: TransactionService;
    showClass(): boolean;
    batchJobProgress: BatchJobProgress[];
    close: EventEmitter<void>;
    readonly icons: typeof Icon;
    batchStatusInterval: any;
    constructor(iconCacheService: IconCacheService, transactionService: TransactionService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onCloseDialog(): void;
    deleteProcess(progressItem: BatchJobProgress): void;
    retryProcess(progressItem: BatchJobProgress): void;
    private _showBatchProcessesStatusInterval;
}
